Subject: Re: [bug#55979] [PATCH] gnu: Add java-commons-text

From: Julien Lepiller <[email-masked]>
Date: Wed, 15 Jun 2022 12:53:19 +0200

Hi!

The patch looks good to me. I would just change some things for style: no need for a new line between a keyword and it value in the arguments list, and use a quote or semi-quote instead of list. I think the comments are a bit too much, but I'm not sure what's the riggt amount. If it were me, I would only add a comment to #:tests? saying it depends on junit5 which is not packaged.

Maybe more important, you say it's a dependency for maven-plugin-plugin. In that case, we need to install it with its pom file, to lib/m2. This is done by install-from-pom.

Maybe at this point we should mandate using it for java packages? We can always go back and fix them when needed, but it's much less work to do the right thing from the start.

Just thinking out load, maybe we could add a #:pom argument to the ant-build-system, so we don't have to modify the phases all the time?

On June 14, 2022 8:44:16 PM GMT+02:00, "Artyom V. Poptsov" <[email-masked]> wrote:
>Hello,
>
>here's the patch that adds 'java-commons-text'. [1]
>
>Unfortunately I had to disable tests as they require JUnit5 (which is
>missing from GNU Guix at the moment.)
>
>Also many thanks to Julien Lepiller who helped me to update
>'java-commons-lang3' to 3.12.0, which in turn was required to package
>'java-commons-text'.
>
>- Artyom
>
>References:
>1. https://commons.apache.org/proper/commons-text/
>